<?xml version="1.0" encoding="UTF-8"?>
<?enunciate-assumed-base-uri http://localhost:8080/?>
<wsdl:definitions targetNamespace="http://endpoint.tm.amster.ru/"
   xmlns:ns0="http://endpoint.tm.amster.ru/"
   xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/"
   xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/"
   xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/"
   xmlns:xs="http://www.w3.org/2001/XMLSchema"
   xmlns:http="http://schemas.xmlsoap.org/wsdl/http/"
   xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
   xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
   >

  <wsdl:types>
  <xs:schema targetNamespace="http://endpoint.tm.amster.ru/">
      <xs:include schemaLocation="ns0.xsd"/>
  </xs:schema>
  </wsdl:types>

  <wsdl:message name="AdminUserEndpoint.lockUserByLogin">
    <wsdl:documentation>
      <![CDATA[request message for operation "lockUserByLogin".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:lockUserByLogin">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.lockUserByLoginResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "lockUserByLogin".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:lockUserByLoginResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.unlockUserByLogin">
    <wsdl:documentation>
      <![CDATA[request message for operation "unlockUserByLogin".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:unlockUserByLogin">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.unlockUserByLoginResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "unlockUserByLogin".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:unlockUserByLoginResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.load">
    <wsdl:documentation>
      <![CDATA[request message for operation "load".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:load">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.loadResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "load".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:loadResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.export">
    <wsdl:documentation>
      <![CDATA[request message for operation "export".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:export">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.exportResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "export".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:exportResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.findAllUser">
    <wsdl:documentation>
      <![CDATA[request message for operation "findAllUser".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findAllUser">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.findAllUserResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findAllUser".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findAllUserResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.findUserById">
    <wsdl:documentation>
      <![CDATA[request message for operation "findUserById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findUserById">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.findUserByIdResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findUserById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findUserByIdResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.findUserByLogin">
    <wsdl:documentation>
      <![CDATA[request message for operation "findUserByLogin".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findUserByLogin">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.findUserByLoginResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findUserByLogin".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findUserByLoginResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.removeUserById">
    <wsdl:documentation>
      <![CDATA[request message for operation "removeUserById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeUserById">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.removeUserByIdResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "removeUserById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeUserByIdResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.removeUserByLogin">
    <wsdl:documentation>
      <![CDATA[request message for operation "removeUserByLogin".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeUserByLogin">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="AdminUserEndpoint.removeUserByLoginResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "removeUserByLogin".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeUserByLoginResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.createWithTwoParamProject">
    <wsdl:documentation>
      <![CDATA[request message for operation "createWithTwoParamProject".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithTwoParamProject">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.createWithTwoParamProjectResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "createWithTwoParamProject".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithTwoParamProjectResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.findAllProject">
    <wsdl:documentation>
      <![CDATA[request message for operation "findAllProject".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findAllProject">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.findAllProjectResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findAllProject".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findAllProjectResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.createWithThreeParamProject">
    <wsdl:documentation>
      <![CDATA[request message for operation "createWithThreeParamProject".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithThreeParamProject">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.createWithThreeParamProjectResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "createWithThreeParamProject".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithThreeParamProjectResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.findProjectById">
    <wsdl:documentation>
      <![CDATA[request message for operation "findProjectById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findProjectById">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.findProjectByIdResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findProjectById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findProjectByIdResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.findProjectByIndex">
    <wsdl:documentation>
      <![CDATA[request message for operation "findProjectByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findProjectByIndex">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.findProjectByIndexResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findProjectByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findProjectByIndexResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.findProjectByName">
    <wsdl:documentation>
      <![CDATA[request message for operation "findProjectByName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findProjectByName">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.findProjectByNameResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findProjectByName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findProjectByNameResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.removeProjectByName">
    <wsdl:documentation>
      <![CDATA[request message for operation "removeProjectByName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeProjectByName">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.removeProjectByNameResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "removeProjectByName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeProjectByNameResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.removeProjectByIndex">
    <wsdl:documentation>
      <![CDATA[request message for operation "removeProjectByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeProjectByIndex">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.removeProjectByIndexResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "removeProjectByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeProjectByIndexResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.removeProjectById">
    <wsdl:documentation>
      <![CDATA[request message for operation "removeProjectById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeProjectById">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.removeProjectByIdResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "removeProjectById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeProjectByIdResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.updateProjectById">
    <wsdl:documentation>
      <![CDATA[request message for operation "updateProjectById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateProjectById">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.updateProjectByIdResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "updateProjectById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateProjectByIdResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.updateProjectByIndex">
    <wsdl:documentation>
      <![CDATA[request message for operation "updateProjectByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateProjectByIndex">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.updateProjectByIndexResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "updateProjectByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateProjectByIndexResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.numberOfAllProjects">
    <wsdl:documentation>
      <![CDATA[request message for operation "numberOfAllProjects".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:numberOfAllProjects">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ProjectEndpoint.numberOfAllProjectsResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "numberOfAllProjects".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:numberOfAllProjectsResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="SessionEndpoint.openSession">
    <wsdl:documentation>
      <![CDATA[request message for operation "openSession".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:openSession">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="SessionEndpoint.openSessionResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "openSession".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:openSessionResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="SessionEndpoint.closeSession">
    <wsdl:documentation>
      <![CDATA[request message for operation "closeSession".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:closeSession">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="SessionEndpoint.closeSessionResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "closeSession".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:closeSessionResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.findAllTask">
    <wsdl:documentation>
      <![CDATA[request message for operation "findAllTask".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findAllTask">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.findAllTaskResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findAllTask".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findAllTaskResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.createWithTwoParamTask">
    <wsdl:documentation>
      <![CDATA[request message for operation "createWithTwoParamTask".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithTwoParamTask">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.createWithTwoParamTaskResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "createWithTwoParamTask".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithTwoParamTaskResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.createWithThreeParamTask">
    <wsdl:documentation>
      <![CDATA[request message for operation "createWithThreeParamTask".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithThreeParamTask">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.createWithThreeParamTaskResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "createWithThreeParamTask".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithThreeParamTaskResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.findTaskById">
    <wsdl:documentation>
      <![CDATA[request message for operation "findTaskById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findTaskById">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.findTaskByIdResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findTaskById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findTaskByIdResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.findTaskByIndex">
    <wsdl:documentation>
      <![CDATA[request message for operation "findTaskByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findTaskByIndex">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.findTaskByIndexResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findTaskByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findTaskByIndexResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.findTaskByName">
    <wsdl:documentation>
      <![CDATA[request message for operation "findTaskByName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findTaskByName">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.findTaskByNameResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findTaskByName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findTaskByNameResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.removeTaskByName">
    <wsdl:documentation>
      <![CDATA[request message for operation "removeTaskByName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeTaskByName">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.removeTaskByNameResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "removeTaskByName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeTaskByNameResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.removeTaskByIndex">
    <wsdl:documentation>
      <![CDATA[request message for operation "removeTaskByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeTaskByIndex">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.removeTaskByIndexResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "removeTaskByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeTaskByIndexResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.removeTaskById">
    <wsdl:documentation>
      <![CDATA[request message for operation "removeTaskById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeTaskById">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.removeTaskByIdResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "removeTaskById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeTaskByIdResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.updateTaskById">
    <wsdl:documentation>
      <![CDATA[request message for operation "updateTaskById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateTaskById">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.updateTaskByIdResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "updateTaskById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateTaskByIdResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.updateTaskByIndex">
    <wsdl:documentation>
      <![CDATA[request message for operation "updateTaskByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateTaskByIndex">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.updateTaskByIndexResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "updateTaskByIndex".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateTaskByIndexResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.numberOfAllTasks">
    <wsdl:documentation>
      <![CDATA[request message for operation "numberOfAllTasks".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:numberOfAllTasks">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="TaskEndpoint.numberOfAllTasksResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "numberOfAllTasks".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:numberOfAllTasksResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.findUserById">
    <wsdl:documentation>
      <![CDATA[request message for operation "findUserById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findUserById">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.findUserByIdResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "findUserById".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:findUserByIdResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.createWithThreeParamUser">
    <wsdl:documentation>
      <![CDATA[request message for operation "createWithThreeParamUser".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithThreeParamUser">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.createWithThreeParamUserResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "createWithThreeParamUser".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithThreeParamUserResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.createWithFourParamUser">
    <wsdl:documentation>
      <![CDATA[request message for operation "createWithFourParamUser".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithFourParamUser">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.createWithFourParamUserResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "createWithFourParamUser".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:createWithFourParamUserResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.removeUser">
    <wsdl:documentation>
      <![CDATA[request message for operation "removeUser".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeUser">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.removeUserResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "removeUser".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:removeUserResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserEmail">
    <wsdl:documentation>
      <![CDATA[request message for operation "updateUserEmail".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserEmail">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserEmailResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "updateUserEmail".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserEmailResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserFirstName">
    <wsdl:documentation>
      <![CDATA[request message for operation "updateUserFirstName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserFirstName">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserFirstNameResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "updateUserFirstName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserFirstNameResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserLastName">
    <wsdl:documentation>
      <![CDATA[request message for operation "updateUserLastName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserLastName">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserLastNameResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "updateUserLastName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserLastNameResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserMiddleName">
    <wsdl:documentation>
      <![CDATA[request message for operation "updateUserMiddleName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserMiddleName">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserMiddleNameResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "updateUserMiddleName".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserMiddleNameResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserPassword">
    <wsdl:documentation>
      <![CDATA[request message for operation "updateUserPassword".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserPassword">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UserEndpoint.updateUserPasswordResponse">
    <wsdl:documentation>
      <![CDATA[response message for operation "updateUserPassword".]]>
    </wsdl:documentation>
    <wsdl:part name="parameters" element="ns0:updateUserPasswordResponse">
    </wsdl:part>
  </wsdl:message>

  <wsdl:portType name="AdminUserEndpoint">
  <wsdl:operation name="lockUserByLogin">
    <wsdl:input message="ns0:AdminUserEndpoint.lockUserByLogin"/>
    <wsdl:output message="ns0:AdminUserEndpoint.lockUserByLoginResponse"/>
  </wsdl:operation>
  <wsdl:operation name="unlockUserByLogin">
    <wsdl:input message="ns0:AdminUserEndpoint.unlockUserByLogin"/>
    <wsdl:output message="ns0:AdminUserEndpoint.unlockUserByLoginResponse"/>
  </wsdl:operation>
  <wsdl:operation name="load">
    <wsdl:input message="ns0:AdminUserEndpoint.load"/>
    <wsdl:output message="ns0:AdminUserEndpoint.loadResponse"/>
  </wsdl:operation>
  <wsdl:operation name="export">
    <wsdl:input message="ns0:AdminUserEndpoint.export"/>
    <wsdl:output message="ns0:AdminUserEndpoint.exportResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findAllUser">
    <wsdl:input message="ns0:AdminUserEndpoint.findAllUser"/>
    <wsdl:output message="ns0:AdminUserEndpoint.findAllUserResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findUserById">
    <wsdl:input message="ns0:AdminUserEndpoint.findUserById"/>
    <wsdl:output message="ns0:AdminUserEndpoint.findUserByIdResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findUserByLogin">
    <wsdl:input message="ns0:AdminUserEndpoint.findUserByLogin"/>
    <wsdl:output message="ns0:AdminUserEndpoint.findUserByLoginResponse"/>
  </wsdl:operation>
  <wsdl:operation name="removeUserById">
    <wsdl:input message="ns0:AdminUserEndpoint.removeUserById"/>
    <wsdl:output message="ns0:AdminUserEndpoint.removeUserByIdResponse"/>
  </wsdl:operation>
  <wsdl:operation name="removeUserByLogin">
    <wsdl:input message="ns0:AdminUserEndpoint.removeUserByLogin"/>
    <wsdl:output message="ns0:AdminUserEndpoint.removeUserByLoginResponse"/>
  </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="ProjectEndpoint">
  <wsdl:operation name="createWithTwoParamProject">
    <wsdl:input message="ns0:ProjectEndpoint.createWithTwoParamProject"/>
    <wsdl:output message="ns0:ProjectEndpoint.createWithTwoParamProjectResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findAllProject">
    <wsdl:input message="ns0:ProjectEndpoint.findAllProject"/>
    <wsdl:output message="ns0:ProjectEndpoint.findAllProjectResponse"/>
  </wsdl:operation>
  <wsdl:operation name="createWithThreeParamProject">
    <wsdl:input message="ns0:ProjectEndpoint.createWithThreeParamProject"/>
    <wsdl:output message="ns0:ProjectEndpoint.createWithThreeParamProjectResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findProjectById">
    <wsdl:input message="ns0:ProjectEndpoint.findProjectById"/>
    <wsdl:output message="ns0:ProjectEndpoint.findProjectByIdResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findProjectByIndex">
    <wsdl:input message="ns0:ProjectEndpoint.findProjectByIndex"/>
    <wsdl:output message="ns0:ProjectEndpoint.findProjectByIndexResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findProjectByName">
    <wsdl:input message="ns0:ProjectEndpoint.findProjectByName"/>
    <wsdl:output message="ns0:ProjectEndpoint.findProjectByNameResponse"/>
  </wsdl:operation>
  <wsdl:operation name="removeProjectByName">
    <wsdl:input message="ns0:ProjectEndpoint.removeProjectByName"/>
    <wsdl:output message="ns0:ProjectEndpoint.removeProjectByNameResponse"/>
  </wsdl:operation>
  <wsdl:operation name="removeProjectByIndex">
    <wsdl:input message="ns0:ProjectEndpoint.removeProjectByIndex"/>
    <wsdl:output message="ns0:ProjectEndpoint.removeProjectByIndexResponse"/>
  </wsdl:operation>
  <wsdl:operation name="removeProjectById">
    <wsdl:input message="ns0:ProjectEndpoint.removeProjectById"/>
    <wsdl:output message="ns0:ProjectEndpoint.removeProjectByIdResponse"/>
  </wsdl:operation>
  <wsdl:operation name="updateProjectById">
    <wsdl:input message="ns0:ProjectEndpoint.updateProjectById"/>
    <wsdl:output message="ns0:ProjectEndpoint.updateProjectByIdResponse"/>
  </wsdl:operation>
  <wsdl:operation name="updateProjectByIndex">
    <wsdl:input message="ns0:ProjectEndpoint.updateProjectByIndex"/>
    <wsdl:output message="ns0:ProjectEndpoint.updateProjectByIndexResponse"/>
  </wsdl:operation>
  <wsdl:operation name="numberOfAllProjects">
    <wsdl:input message="ns0:ProjectEndpoint.numberOfAllProjects"/>
    <wsdl:output message="ns0:ProjectEndpoint.numberOfAllProjectsResponse"/>
  </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="SessionEndpoint">
  <wsdl:operation name="openSession">
    <wsdl:input message="ns0:SessionEndpoint.openSession"/>
    <wsdl:output message="ns0:SessionEndpoint.openSessionResponse"/>
  </wsdl:operation>
  <wsdl:operation name="closeSession">
    <wsdl:input message="ns0:SessionEndpoint.closeSession"/>
    <wsdl:output message="ns0:SessionEndpoint.closeSessionResponse"/>
  </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="TaskEndpoint">
  <wsdl:operation name="findAllTask">
    <wsdl:input message="ns0:TaskEndpoint.findAllTask"/>
    <wsdl:output message="ns0:TaskEndpoint.findAllTaskResponse"/>
  </wsdl:operation>
  <wsdl:operation name="createWithTwoParamTask">
    <wsdl:input message="ns0:TaskEndpoint.createWithTwoParamTask"/>
    <wsdl:output message="ns0:TaskEndpoint.createWithTwoParamTaskResponse"/>
  </wsdl:operation>
  <wsdl:operation name="createWithThreeParamTask">
    <wsdl:input message="ns0:TaskEndpoint.createWithThreeParamTask"/>
    <wsdl:output message="ns0:TaskEndpoint.createWithThreeParamTaskResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findTaskById">
    <wsdl:input message="ns0:TaskEndpoint.findTaskById"/>
    <wsdl:output message="ns0:TaskEndpoint.findTaskByIdResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findTaskByIndex">
    <wsdl:input message="ns0:TaskEndpoint.findTaskByIndex"/>
    <wsdl:output message="ns0:TaskEndpoint.findTaskByIndexResponse"/>
  </wsdl:operation>
  <wsdl:operation name="findTaskByName">
    <wsdl:input message="ns0:TaskEndpoint.findTaskByName"/>
    <wsdl:output message="ns0:TaskEndpoint.findTaskByNameResponse"/>
  </wsdl:operation>
  <wsdl:operation name="removeTaskByName">
    <wsdl:input message="ns0:TaskEndpoint.removeTaskByName"/>
    <wsdl:output message="ns0:TaskEndpoint.removeTaskByNameResponse"/>
  </wsdl:operation>
  <wsdl:operation name="removeTaskByIndex">
    <wsdl:input message="ns0:TaskEndpoint.removeTaskByIndex"/>
    <wsdl:output message="ns0:TaskEndpoint.removeTaskByIndexResponse"/>
  </wsdl:operation>
  <wsdl:operation name="removeTaskById">
    <wsdl:input message="ns0:TaskEndpoint.removeTaskById"/>
    <wsdl:output message="ns0:TaskEndpoint.removeTaskByIdResponse"/>
  </wsdl:operation>
  <wsdl:operation name="updateTaskById">
    <wsdl:input message="ns0:TaskEndpoint.updateTaskById"/>
    <wsdl:output message="ns0:TaskEndpoint.updateTaskByIdResponse"/>
  </wsdl:operation>
  <wsdl:operation name="updateTaskByIndex">
    <wsdl:input message="ns0:TaskEndpoint.updateTaskByIndex"/>
    <wsdl:output message="ns0:TaskEndpoint.updateTaskByIndexResponse"/>
  </wsdl:operation>
  <wsdl:operation name="numberOfAllTasks">
    <wsdl:input message="ns0:TaskEndpoint.numberOfAllTasks"/>
    <wsdl:output message="ns0:TaskEndpoint.numberOfAllTasksResponse"/>
  </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="UserEndpoint">
  <wsdl:operation name="findUserById">
    <wsdl:input message="ns0:UserEndpoint.findUserById"/>
    <wsdl:output message="ns0:UserEndpoint.findUserByIdResponse"/>
  </wsdl:operation>
  <wsdl:operation name="createWithThreeParamUser">
    <wsdl:input message="ns0:UserEndpoint.createWithThreeParamUser"/>
    <wsdl:output message="ns0:UserEndpoint.createWithThreeParamUserResponse"/>
  </wsdl:operation>
  <wsdl:operation name="createWithFourParamUser">
    <wsdl:input message="ns0:UserEndpoint.createWithFourParamUser"/>
    <wsdl:output message="ns0:UserEndpoint.createWithFourParamUserResponse"/>
  </wsdl:operation>
  <wsdl:operation name="removeUser">
    <wsdl:input message="ns0:UserEndpoint.removeUser"/>
    <wsdl:output message="ns0:UserEndpoint.removeUserResponse"/>
  </wsdl:operation>
  <wsdl:operation name="updateUserEmail">
    <wsdl:input message="ns0:UserEndpoint.updateUserEmail"/>
    <wsdl:output message="ns0:UserEndpoint.updateUserEmailResponse"/>
  </wsdl:operation>
  <wsdl:operation name="updateUserFirstName">
    <wsdl:input message="ns0:UserEndpoint.updateUserFirstName"/>
    <wsdl:output message="ns0:UserEndpoint.updateUserFirstNameResponse"/>
  </wsdl:operation>
  <wsdl:operation name="updateUserLastName">
    <wsdl:input message="ns0:UserEndpoint.updateUserLastName"/>
    <wsdl:output message="ns0:UserEndpoint.updateUserLastNameResponse"/>
  </wsdl:operation>
  <wsdl:operation name="updateUserMiddleName">
    <wsdl:input message="ns0:UserEndpoint.updateUserMiddleName"/>
    <wsdl:output message="ns0:UserEndpoint.updateUserMiddleNameResponse"/>
  </wsdl:operation>
  <wsdl:operation name="updateUserPassword">
    <wsdl:input message="ns0:UserEndpoint.updateUserPassword"/>
    <wsdl:output message="ns0:UserEndpoint.updateUserPasswordResponse"/>
  </wsdl:operation>
  </wsdl:portType>


  <wsdl:binding name="AdminUserEndpointPortBinding" type="ns0:AdminUserEndpoint">
    <wsdl:documentation>
      <![CDATA[SOAP Binding for AdminUserEndpoint]]>
    </wsdl:documentation>
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
    <wsdl:operation name="lockUserByLogin">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="unlockUserByLogin">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="load">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="export">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findAllUser">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findUserById">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findUserByLogin">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="removeUserById">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="removeUserByLogin">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>

  <wsdl:binding name="ProjectEndpointPortBinding" type="ns0:ProjectEndpoint">
    <wsdl:documentation>
      <![CDATA[SOAP Binding for ProjectEndpoint]]>
    </wsdl:documentation>
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
    <wsdl:operation name="createWithTwoParamProject">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findAllProject">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="createWithThreeParamProject">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findProjectById">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findProjectByIndex">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findProjectByName">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="removeProjectByName">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="removeProjectByIndex">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="removeProjectById">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateProjectById">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateProjectByIndex">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="numberOfAllProjects">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>

  <wsdl:binding name="SessionEndpointPortBinding" type="ns0:SessionEndpoint">
    <wsdl:documentation>
      <![CDATA[SOAP Binding for SessionEndpoint]]>
    </wsdl:documentation>
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
    <wsdl:operation name="openSession">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="closeSession">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>

  <wsdl:binding name="TaskEndpointPortBinding" type="ns0:TaskEndpoint">
    <wsdl:documentation>
      <![CDATA[SOAP Binding for TaskEndpoint]]>
    </wsdl:documentation>
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
    <wsdl:operation name="findAllTask">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="createWithTwoParamTask">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="createWithThreeParamTask">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findTaskById">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findTaskByIndex">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="findTaskByName">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="removeTaskByName">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="removeTaskByIndex">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="removeTaskById">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateTaskById">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateTaskByIndex">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="numberOfAllTasks">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>

  <wsdl:binding name="UserEndpointPortBinding" type="ns0:UserEndpoint">
    <wsdl:documentation>
      <![CDATA[SOAP Binding for UserEndpoint]]>
    </wsdl:documentation>
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
    <wsdl:operation name="findUserById">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="createWithThreeParamUser">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="createWithFourParamUser">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="removeUser">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateUserEmail">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateUserFirstName">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateUserLastName">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateUserMiddleName">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="updateUserPassword">
      <soap:operation soapAction=""/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>

  <wsdl:service name="AdminUserEndpointService">
    <wsdl:port name="AdminUserEndpointPort" binding="ns0:AdminUserEndpointPortBinding">
      <soap:address location="http://localhost:8080/AdminUserEndpointService"/>
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="ProjectEndpointService">
    <wsdl:port name="ProjectEndpointPort" binding="ns0:ProjectEndpointPortBinding">
      <soap:address location="http://localhost:8080/ProjectEndpointService"/>
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="SessionEndpointService">
    <wsdl:port name="SessionEndpointPort" binding="ns0:SessionEndpointPortBinding">
      <soap:address location="http://localhost:8080/SessionEndpointService"/>
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="TaskEndpointService">
    <wsdl:port name="TaskEndpointPort" binding="ns0:TaskEndpointPortBinding">
      <soap:address location="http://localhost:8080/TaskEndpointService"/>
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="UserEndpointService">
    <wsdl:port name="UserEndpointPort" binding="ns0:UserEndpointPortBinding">
      <soap:address location="http://localhost:8080/UserEndpointService"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>

